-- rule("hpp")
--     add_deps("c++")
--     set_extensions(".hpp")
-- local wrap = function(call)
--     local f = function(a,b,c,d)
--         print(call,b, c , d)
--     end
--     return f
-- end
-- on_run(wrap("on_run"))
-- on_load(wrap("on_load"))
-- on_config(wrap("on_config"))
-- on_link(wrap("on_link"))
-- on_build(wrap("on_build"))
-- on_build_file(wrap("on_build_file"))
-- on_build_files(wrap("on_build_files"))
-- on_clean(wrap("on_clean"))
-- on_package(wrap("on_package"))
-- on_install(wrap("on_install"))
-- on_uninstall(wrap("on_uninstall"))
-- on_buildcmd(wrap("on_buildcmd"))
-- on_linkcmd(wrap("on_linkcmd"))
-- on_buildcmd_file(wrap("on_buildcmd_file"))
-- on_buildcmd_files(wrap("on_buildcmd_files"))
